[openstack-dev] [qa][keystone] Tempest will use Keystone v3 API as the default

Monty Taylor mordred at inaugust.com
Tue Mar 7 19:22:08 UTC 2017

On 03/07/2017 01:02 PM, Ken'ichi Ohmichi wrote:
> Hi,
> This is a kind of notification as the mail title.
> Now QA-team is trying to test most recent stable APIs which are marked
> as CURRENT in most components.
> The investigation is written on
> https://etherpad.openstack.org/p/tempest-api-versions-in-pike
> On Keystone side, the V3 API is CURRENT and the V2 API is DEPRECATED.
> Until last week, the default config value of Tempest was the V2 for
> the authentication and the patch [1] has changed it to the V3.
> However Devstack still sets the V2 for Tempest config and we are using
> the V2 on the gate.
> The devstack patch [2] will change the config to the V3 for Tempest.
> I hope this change will be helpful for our future.


More information about the OpenStack-dev mailing list